%define	name	ic2
%define	version	0.1.2
%define	release 1mdk
%define Summary	Infernal Contractor II

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-src-0_1_1.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source2:	%{name}-data-0_1_1.tar.bz2
#Patch0:	%{name}-gcc3.2-compile-fix.patch.bz2
URL:		http://www.mushware.com/
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libMesaglut-devel libungif-devel libtiff-devel
BuildRequires:	libSDL_mixer-devel libesound-devel libpcre-devel
BuildRequires:	libogg-devel libvorbis-devel libsmpeg-devel

%description
Take on the role of the Infernal Contractor and raise mayhem in this
fast-moving office simulation. This episode sees you racing round the
office against the clock in an attempt to prove your fitness to the
demanding recruiters. Slippery floors and dodgy ergonomics are all that
stand between you and gainful employment. Hear encouraging phone calls
from your agent, the harsh judgements of the recruiters, and the final
countdown as you race for the finish line in this interactive simulation.

%prep
%setup -q -a2 -n %{name}-0.1.1
#%patch0 -p1 -b .orig

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--program-transform-name="" 
#lib no longer available?		--with-mesa		

# App segfaults when throwing an exception if omit-frame-pointers is used
CXXFLAGS=`echo $CXXFLAGS | sed 's/-fomit-frame-pointer //'`
%make CXXFLAGS="$CXXFLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#Fix wrapper script
cat <<EOF > %{buildroot}%{_gamesbindir}/%{name}
cd %{_gamesdatadir}/%{name}/system
%{_gamesbindir}/%{name}binary
EOF

# Icons
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="%{Summary}"\
		longtitle="%{Summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING NEWS AUTHORS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed Aug 27 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.2-1mdk
- moved to contrib, license has changed
- changed summary macro to avoid possible conflicts if we were to build debug package
- dropped P0, fixed upstream
- dont use soundwrapper, not needed for SDL games

* Thu Nov 19 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.1.0-1plf
- First plf release
